Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
companysearch.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::globalINI()
| $Language = $ini->variable( "eZContactMain", "Language" )
| $errorIni = new eZINI( "kernel/ezcontact/user/intl/" . $Language . "/companysearch.php.ini", false )
| $t
| $Action = "new"
| $results = "false"
if(isset( $SearchObject) && $SearchObject=="company") if(!empty( $SearchText)) | $company = new eZCompany()
| $result = false
| $companyArray = array()

## Variable Documentation

## ◆ $Action

$Action = "new"

Definition at line 80 of file companysearch.php.

Referenced by eZOrderConfirmation\confirm(), and eZList\drawList().

## ◆ $company

if (isset($SearchObject) &&$SearchObject=="company") if (!empty($SearchText)) $company = new eZCompany()

Definition at line 93 of file companysearch.php.

## ◆ $companyArray

$companyArray = array()

Definition at line 95 of file companysearch.php.

Referenced by eZConsultation\findConsultationsByContact().

## ◆ $errorIni

$errorIni = new eZINI( "kernel/ezcontact/user/intl/" . $Language . "/companysearch.php.ini", false )

Definition at line 38 of file companysearch.php.

## ◆ $ini

$ini =& eZINI::globalINI()

Definition at line 36 of file companysearch.php.

## ◆ $Language

$Language = $ini->variable( "eZContactMain", "Language" )

Definition at line 37 of file companysearch.php.

## ◆ $result

$result = false

Definition at line 94 of file companysearch.php.

Referenced by ezpRestJsonView\__construct(), eZDFSFileHandlerMySQLiBackend\_copy(), eZDFSFileHandlerMySQLiBackend\_isFailure(), eZDFSFileHandlerMySQLiBackend\_protect(), eZForm\addElement(), eZVirtualFolder\addFile(), eZBulkMail\addLogEntry(), eZVirtualFile\addPageView(), eZBulkMail\addToCategory(), eZBulkMail\addToDelayList(), eZMySQLDB\array_query_append(), eZPostgreSQLDB\array_query_append(), eZArticle\articleIDFromForum(), eZWebDAVContentBackendAuth\authorize(), eZArticleCategory\bulkMailCategory(), eZMD5\checkMD5Sums(), eZSysinfo\chostname(), eZDir\cleanupEmptyDirectories(), eZFileHandler\close(), eZSysinfo\compat_array_keys(), eZMenu\count(), eZArticleForm\count(), eZForm\count(), eZFormElement\count(), eZFormElementFixedValue\count(), eZFormElementType\count(), eZQuizAlternative\count(), eZQuizAnswer\count(), eZQuizGame\count(), eZQuizQuestion\count(), eZQuizScore\count(), eZSection\count(), eZProductForm\count(), eZProductPriceRange\count(), eZVoucher\count(), eZVoucherEMail\count(), eZVoucherInformation\count(), eZVoucherSMail\count(), eZVoucherUsed\count(), eZQuizQuestion\countAlternatives(), eZQuizQuestion\countCorrectAlternatives(), ezpMvcConfiguration\createView(), eZXMLRPCDataTypeDecoder\decodeBase64(), eZXMLRPCDataTypeDecoder\decodeBoolean(), eZXMLRPCDataTypeDecoder\decodeDataTypes(), eZXMLRPCDataTypeDecoder\decodeDateTime(), eZXMLRPCDataTypeDecoder\decodeDouble(), eZXMLRPCDataTypeDecoder\decodeInt(), eZXMLRPCDataTypeDecoder\decodeString(), eZBulkMail\delete(), eZBulkMailSubscriptionAddress\delete(), eZBulkMailSubscriptionUser\delete(), eZBulkMailTemplate\delete(), eZAddressType\delete(), eZPhoneType\delete(), eZBulkMailForgot\delete(), eZVirtualFile\delete(), eZLink\deleteImage(), eZLinkCategory\deleteImage(), eZFileHandler\doClose(), eZGZIPZLIBCompressionHandler\doClose(), ezpRestOauthTokenController\doHandleRequest(), ezpRestMvcController\doHttpOptions(), eZFileHandler\doPasstrough(), eZGZIPZLIBCompressionHandler\doPasstrough(), ezpRestErrorController\doShow(), eZQuizGame\embracingPeriod(), eZQuizGame\endedInPeriod(), eZGroupEvent\eventIDFromForum(), eZDisplayDebug(), eZVirtualFile\folder(), eZSysinfo\format_bytesize(), eZPageView\get(), eZTemplate\get_undefined(), Template\get_undefined(), eZTemplate\get_var(), Template\get_var(), eZTemplate\get_vars(), Template\get_vars(), eZVoucherUsed\getByUser(), eZVoucher\getByUser(), eZWebDAVContentBackend\getContentNodeData(), getFilesAndFolders(), getImagesAndCategores(), getImagesAndCategories(), ezpExtension\getInfo(), ezpRestDebugPHPFormatter\getLog(), eZWebDAVContentBackend\getResourceContents(), eZMailFolder\getSpecialFolder(), ezpRestAuthorizedClient\getState(), ezpRestClient\getState(), eZWebDAVContentBackend\getVirtualFolderData(), eZSys\globBrace(), eZQuizAnswer\hasAnswered(), eZUser\hasRootAccess(), eZImage\imageIDFromForum(), eZSysinfo\ip_addr(), eZQuizQuestion\isAlternative(), eZMailFolder\isChild(), eZBugModule\isChild(), eZScriptClusterPurge\isRequired(), eZBulkMail\isSent(), eZSysinfo\kernel(), eZContentLanguage\languagesByMask(), eZFileHandler\linkCopy(), eZMailFolder\mailCount(), eZMail\markAsDownloaded(), eZDFSFileHandlerMySQLiBackend\mkdir_p(), eZMySQLDB\nextID(), eZPostgreSQLDB\nextID(), eZSQLite3DB\nextID(), eZForm\numberOfElements(), eZFormElement\numberOfForms(), eZQuizGame\numberOfPlayers(), eZQuizGame\numberOfQuestions(), eZForm\numberOfTypes(), eZFormElement\numberOfTypes(), eZFormElementType\numberOfTypes(), eZContentObjectState\objectCount(), eZFileHandler\open(), eZContentLanguage\prioritizedLanguagesByLocaleList(), eZContentLanguage\prioritizedLanguagesByMask(), eZFSFileHandler\processFile(), eZDFSFileHandler\processFile(), eZXMLRPCServer\processRequest(), eZProduct\productIDFromForum(), eZWebDAVContentBackend\putContentData(), eZWebDAVContentBackend\putVirtualFolderData(), eZPostgreSQLDB\query(), eZInformixDB\query(), eZMySQLDB\query(), eZSQLite3DB\query(), eZDebug\recursionProtectErrorHandler(), eZSession\remove(), eZFileHandler\rename(), eZImageVariation\requestVariation(), ezpRestCacheStorageCluster\restore(), ezpMvcConfigurableDispatcher\run(), ezpKernelRest\run(), ezpMvcConfiguration\runResponseFilters(), ezpMvcConfiguration\runResultFilters(), eZBulkMail\send(), eZBulkMail\sendDelayedMail(), eZBulkMail\sendSingle(), eZBulkMail\setOffset(), eZWebDAVContentBackend\setResourceContents(), eZXMLRPCResponse\setResult(), eZSys\simulateGlobBrace(), eZQuizGame\startedInPeriod(), eZAddressType\store(), eZPhoneType\store(), eZBulkMail\store(), eZBulkMailForgot\store(), eZBulkMailSubscriptionAddress\store(), eZBulkMailSubscriptionUser\store(), eZBulkMailTemplate\store(), eZVirtualFile\store(), eZVirtualFolder\store(), eZForumMessage\store(), eZMail\store(), eZMailAccount\store(), eZMailFilterRule\store(), eZMailFolder\store(), eZQuizQuestion\store(), eZPageView\store(), eZDFSFileHandler\storeCache(), eZFSFileHandler\storeCache(), eZDFSFileHandler\storeContents(), eZWebDAVContentBackend\storeUploadedFile(), eZBulkMailSubscriptionAddress\subscribe(), eZBulkMailSubscriptionUser\subscribe(), eZBulkMailUserSubscripter\subscribe(), eZBulkMailSubscriptionAddress\subscriptions(), eZBulkMailSubscriptionUser\subscriptions(), eZBulkMailUserSubscripter\subscriptions(), eZPageViewQuery\topVisitors(), eZFileHandler\unlink(), eZSysinfo\uptime(), eZSysinfo\users(), eZBulkMail\useTemplate(), and eZSysinfo\vhostname().

## ◆ $results

$results = "false"

Definition at line 81 of file companysearch.php.

Referenced by eZMailFolder\addMail(), eZSQLite3DB\array_query(), eZSQLite3DB\array_query_append(), eZSysinfo\cpu(), eZBulkMail\delete(), eZBulkMailSubscriptionAddress\delete(), eZBulkMailSubscriptionUser\delete(), eZVirtualFile\delete(), ezpRestClient\fetchByClientId(), ezpRestAuthorizedClient\fetchForClientUser(), eZSysinfo\fsinfo(), eZSysinfo\idebus(), eZSysinfo\loadavg(), eZSysinfo\meminfo(), eZSysinfo\netdevs(), eZSQLite3DB\nextID(), eZSysinfo\pcibus(), and eZSysinfo\scsibus().

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezcontact/user/" . $ini->variable( "eZContactMain", "TemplateDir" ),
"kernel/ezcontact/user/intl/", $Language, "companysearch.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: companysearch.php:37
$ini
$ini
Definition: companysearch.php:36

Definition at line 40 of file companysearch.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.